      integer*4 function omp_get_thread_num()

      use Agrif_Types, only : Agrif_tabvars


#include "Param_BeforeCall_omp_get_thread_num.h"
      omp_get_thread_num=0
      return
      end
      integer*4 function omp_get_num_threads()

      use Agrif_Types, only : Agrif_tabvars


#include "Param_BeforeCall_omp_get_num_threads.h"
      omp_get_num_threads=1
      return
      end
      subroutine ana_btflux_tile (Istr,Iend,Jstr,Jend, itrc)      


      use Agrif_Util
#include "Param_BeforeCall_ana_btflux_tile.h"
      integer(4) :: itrc
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_ana_btflux_tile(Istr,Iend,Jstr,Jend,itrc, Agrif_ta
     &bvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(1
     &3)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(240)%array3,
     & Agrif_tabvars_l(13)%larray0, Agrif_tabvars_l(14)%larray0, Agrif_t
     &abvars_l(11)%larray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_ana_btflux_tile.h"
      subroutine empty_analytical

      use Agrif_Types, only : Agrif_tabvars


#include "Param_BeforeCall_empty_analytical.h"
      return
      end
